Summary:	Red Flag SysStat Tool
Name:		rfsar
Version:	5.0.5
Release:	1.7AX
Source:		%{name}-%{version}.tar.gz
Source1:	rfsar_zh_CN.qm
Source2:	rfsar_zh_TW.qm
Source3:	rfsar_ko.qm
Source4:	rfsar_ja.qm
Patch:          rfsar-desktop-authority.patch
Patch1:		rfsar-5.0.5-mutiple_cpus.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Group:		Applications/System
License:	GPL

%description
SysStat tool

%prep
%setup -q
%patch -p3 
%patch1 -p1 

%build
qmake
make

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/rfsar
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Settings/

cp rfsar $RPM_BUILD_ROOT/usr/bin
cp rfsar.desktop $RPM_BUILD_ROOT/usr/share/applnk/Settings/
cp rfsar.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/rfsar.xpm
cp *xpm $RPM_BUILD_ROOT/usr/share/rfsar
cp *.qm $RPM_BUILD_ROOT/usr/share/rfsar
cp -f %{SOURCE1} $RPM_BUILD_ROOT/usr/share/rfsar/
cp -f %{SOURCE2} $RPM_BUILD_ROOT/usr/share/rfsar/
cp -f %{SOURCE3} $RPM_BUILD_ROOT/usr/share/rfsar/
cp -f %{SOURCE4} $RPM_BUILD_ROOT/usr/share/rfsar/

%post

%postun


%files
%defattr(-,root,root)
%attr(755,root,root)
/usr/bin/rfsar
%attr(644,root,root)
/usr/share/applnk/Settings/rfsar.desktop
/usr/share/rfsar/*xpm
/usr/share/rfsar/*.qm
/usr/share/pixmaps/rfsar.xpm

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jan 04 2007 Hua Jie <jiehua@redflag-linux.com> 5.0.5-1.7AX
- add a patch from taohe@redflag-linux.com
- to display utilization of the single one of mutiple cpus(Patch NO.1)

* Thu Dec 21 2006 Xiao Liu <xiaoliu@redflag-linux.com> 5.0.5-1.6AX
- Change Desktop can be used other than root with authority

* Fri May 12 2006 Hua Jie <jiehua@redflag-linux.com> 5.0.5-1.5AX
- Change License to GPL

* Tue Nov 8 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.4
- bugfix: legend bar display ,avg value, sync timelen of legend bar and addsensordlg
- bugfix: when no mdi window, we need disable legendbar
- code clean

* Tue Jul 11 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.3
- Japanese and Korean translation

* Mon May 16 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1.2
- add sensor pin description label
- bugfix: current sensor with instance don't correctly highlight.
- bugfix: dev and net instance read error

* Mon May 16 2005 Cheng Ding <chengding@redflag-linux.com> 5.0.5-1
- initial version for Asianux 2.0
